diff -Nru libica-3.9.0/ChangeLog libica-4.0.0/ChangeLog
--- libica-3.9.0/ChangeLog	2021-10-13 16:00:38.000000000 +0200
+++ libica-4.0.0/ChangeLog	2021-12-06 12:01:54.000000000 +0100
@@ -1,3 +1,8 @@
+v4.0.0
+ - [UPDATE] NO_SW_FALLBACKS is now the default for libica.so
+   [UPDATE] Removed deprecated API functions including tests
+   [UPDATE] Introduced 'const' for some API function parameters
+   [FEATURE] icastats: new parm -k to display detailed counters
 v3.9.0
  - [FEATURE] Add support for OpenSSL 3.0
    [FEATURE] icainfo: new parm -c to display available EC curves
diff -Nru libica-3.9.0/configure.ac libica-4.0.0/configure.ac
--- libica-3.9.0/configure.ac	2021-10-13 16:00:38.000000000 +0200
+++ libica-4.0.0/configure.ac	2021-12-06 12:01:54.000000000 +0100
@@ -1,4 +1,4 @@
-AC_INIT([libica], [3.9.0], [https://github.com/opencryptoki/libica/issues],, [https://github.com/opencryptoki/libica])
+AC_INIT([libica], [4.0.0], [https://github.com/opencryptoki/libica/issues],, [https://github.com/opencryptoki/libica])
 
 # save cmdline flags
 cmdline_CFLAGS="$CFLAGS"
diff -Nru libica-3.9.0/debian/changelog libica-4.0.0/debian/changelog
--- libica-3.9.0/debian/changelog	2021-12-03 00:42:09.000000000 +0100
+++ libica-4.0.0/debian/changelog	2022-01-31 13:19:06.000000000 +0100
@@ -1,3 +1,37 @@
+libica (4.0.0-0ubuntu1) jammy; urgency=medium
+
+  * New upstream release LP: #1959421
+  * Add cherry-picked patches from upstream:
+    - RSA: limit RSA key length to 4096
+      977fe8ac713f9ff3101ce9882e23d0183fb46ec8.patch
+    - ECC: fix memory leaks in make_eckey()
+      553977ef505b43c7d17056369ed518a971d43d68.patch
+    - ECC: Avoid recursive loop in ec_key_check() with OpenSSL 3.0
+      b41addd200c0938c6c10202da08ad5f7df940e18.patch
+    - RSA: Fix memory leaks in rsa_key_generate_mod_expo()/crt()
+      6031ec80a5ada52609822fed4a6bd2cccafe5563.patch
+    - EC: Handle unsupported EC curve in ica_ec_key_new()
+      b49cf457659a4baf382b3828d89823497bb00f6e.patch
+    - Compute HMAC from installed library
+      7e6e303e6aef019047eb6dfcdedbfe7da2a88526.patch
+    - Fix compile warnings
+      28fa931bed9e6847137829952a3e7cc6091bd071.patch
+    - Fix memory leaks in test programs
+      cc44f18383ec6dc01a05abd6c25a1dec8efe84cb.patch
+    - FIPS: Calculation of library HMAC may fail
+      9c6431f49a9fe0d574722954e018b4cba6ab085b.patch
+    - MAKEFILE: Do not install ec_internal_test
+      5aa9366c236a6d17570403ef81c65e4f5f91a8af.patch
+  * transition from libica3 to libica4
+    - adjusting d/c
+    - migrating d/libica3.* to d/libica4.*
+    - expanding symbols file
+  * adjusting d/copyright
+    - changing tabs to spaces
+    - updating relevant copyright years
+
+ -- Frank Heimes <frank.heimes@canonical.com>  Mon, 31 Jan 2022 13:19:06 +0100
+
 libica (3.9.0-0ubuntu1) jammy; urgency=medium
 
   * New upstream release LP: #1953087
diff -Nru libica-3.9.0/debian/control libica-4.0.0/debian/control
--- libica-3.9.0/debian/control	2019-04-30 12:58:10.000000000 +0200
+++ libica-4.0.0/debian/control	2022-01-31 13:19:06.000000000 +0100
@@ -10,14 +10,14 @@
 Section: libdevel
 Architecture: s390 s390x
 Multi-Arch: same
-Depends: libica3 (= ${binary:Version}), ${misc:Depends}
+Depends: libica4 (= ${binary:Version}), ${misc:Depends}
 Description: hardware cryptography support for IBM System z hardware (dev package)
  libica library provides hardware acceleration for cryptographic
  functions and is part of the openCryptoki project.
  .
  This package contains development headers and library.
 
-Package: libica3
+Package: libica4
 Architecture: s390 s390x
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
diff -Nru libica-3.9.0/debian/copyright libica-4.0.0/debian/copyright
--- libica-3.9.0/debian/copyright	2017-10-04 11:28:19.000000000 +0200
+++ libica-4.0.0/debian/copyright	2022-01-31 13:19:06.000000000 +0100
@@ -3,250 +3,250 @@
 Source: http://sourceforge.net/projects/opencryptoki/files/libica/
 
 Files: *
-Copyright: 2001-2015 IBM Corp.
+Copyright: 1994-1996, 1999-2002, 2004-2019, 2021 IBM Corp.
 License: CPL
  .
-	Common Public License - V1.0
+   Common Public License - V1.0
  .
-	THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS COMMON
-	PUBLIC LICENSE ("AGREEMENT"). ANY USE, REPRODUCTION OR DISTRIBUTION OF
-	THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE OF THIS AGREEMENT.
- .
-	1. DEFINITIONS
- .
-	"Contribution" means:
-		1. in the case of the initial Contributor, the initial code and
-		documentation distributed under this Agreement, and
- .
-		2. in the case of each subsequent Contributor:
-      			1. changes to the Program, and
-      			2. additions to the Program;
- .
-		where such changes and/or additions to the Program originate
-		from and are distributed by that particular Contributor. A
-		Contribution 'originates' from a Contributor if it was added to
-		the Program by such Contributor itself or anyone acting on such
-		Contributor's behalf. Contributions do not include additions to
-		the Program which: (i) are separate modules of software
-		distributed in conjunction with the Program under their own
-		license agreement, and (ii) are not derivative works of the
-		Program.
- .
-	"Contributor" means any person or entity that distributes the Program.
- .
-	"Licensed Patents " mean patent claims licensable by a Contributor
-	which are necessarily infringed by the use or sale of its Contribution
-	alone or when combined with the Program.
- .
-	"Program" means the Contributions distributed in accordance with this
-	Agreement.
- .
-	"Recipient" means anyone who receives the Program under this Agreement,
-	including all Contributors.
- .
- .
-	2. GRANT OF RIGHTS
- .
-		1. Subject to the terms of this Agreement, each Contributor
-		hereby grants Recipient a non-exclusive, worldwide,
-		royalty-free copyright license to reproduce, prepare derivative
-		works of, publicly display, publicly perform, distribute and
-		sublicense the Contribution of such Contributor, if any, and
-		such derivative works, in source code and object code form.
- .
-		2. Subject to the terms of this Agreement, each Contributor
-		hereby grants Recipient a non-exclusive, worldwide,
-		royalty-free patent license under Licensed Patents to make,
-		use, sell, offer to sell, import and otherwise transfer the
-		Contribution of such Contributor, if any, in source code and
-		object code form. This patent license shall apply to the
-		combination of the Contribution and the Program if, at the time
-		the Contribution is added by the Contributor, such addition of
-		the Contribution causes such combination to be covered by the
-		Licensed Patents. The patent license shall not apply to any
-		other combinations which include the Contribution. No hardware
-		per se is licensed hereunder.
- .
-		3. Recipient understands that although each Contributor grants
-		the licenses to its Contributions set forth herein, no
-		assurances are provided by any Contributor that the Program
-		does not infringe the patent or other intellectual property
-		rights of any other entity. Each Contributor disclaims any
-		liability to Recipient for claims brought by any other entity
-		based on infringement of intellectual property rights or
-		otherwise. As a condition to exercising the rights and licenses
-		granted hereunder, each Recipient hereby assumes sole
-		responsibility to secure any other intellectual property rights
-		needed, if any. For example, if a third party patent license is
-		required to allow Recipient to distribute the Program, it is
-		Recipient's responsibility to acquire that license before
-		distributing the Program.
- .
-		4. Each Contributor represents that to its knowledge it has
-		sufficient copyright rights in its Contribution, if any, to
-		grant the copyright license set forth in this Agreement.
- .
- .
-	3. REQUIREMENTS
- .
-	A Contributor may choose to distribute the Program in object code form
-	under its own license agreement, provided that:
- .
-		1. it complies with the terms and conditions of this Agreement;
-		and
- .
-		2. its license agreement:
-			1. effectively disclaims on behalf of all Contributors
-			all warranties and conditions, express and implied,
-			including warranties or conditions of title and
-			non-infringement, and implied warranties or conditions
-			of merchantability and fitness for a particular purpose;
- .
-			2. effectively excludes on behalf of all Contributors
-			all liability for damages, including direct, indirect,
-			special, incidental and consequential damages, such as
-			lost profits;
- .
-			3. states that any provisions which differ from this
-			Agreement are offered by that Contributor alone and not
-			by any other party; and
- .
-			4. states that source code for the Program is available
-			from such Contributor, and informs licensees how to
-			obtain it in a reasonable manner on or through a medium
-			customarily used for software exchange.
- .
-		When the Program is made available in source code form:
-			1. it must be made available under this Agreement; and
-         		2. a copy of this Agreement must be included with each
-			copy of the Program.
- .
-		Contributors may not remove or alter any copyright notices
-		contained within the Program.
- .
-		Each Contributor must identify itself as the originator of its
-		Contribution, if any, in a manner that reasonably allows
-		subsequent Recipients to identify the originator of the
-		Contribution.
- .
- .
-	4. COMMERCIAL DISTRIBUTION
- .
-	Commercial distributors of software may accept certain responsibilities
-	with respect to end users, business partners and the like. While this
-	license is intended to facilitate the commercial use of the Program,
-	the Contributor who includes the Program in a commercial product
-	offering should do so in a manner which does not create potential
-	liability for other Contributors. Therefore, if a Contributor includes
-	the Program in a commercial product offering, such Contributor
-	("Commercial Contributor") hereby agrees to defend and indemnify every
-	other Contributor ("Indemnified Contributor") against any losses,
-	damages and costs (collectively "Losses") arising from claims, lawsuits
-	and other legal actions brought by a third party against the
-	Indemnified Contributor to the extent caused by the acts or omissions
-	of such Commercial Contributor in connection with its distribution of
-	the Program in a commercial product offering. The obligations in this
-	section do not apply to any claims or Losses relating to any actual or
-	alleged intellectual property infringement. In order to qualify, an
-	Indemnified Contributor must: a) promptly notify the Commercial
-	Contributor in writing of such claim, and b) allow the Commercial
-	Contributor to control, and cooperate with the Commercial Contributor
-	in, the defense and any related settlement negotiations. The
-	Indemnified Contributor may participate in any such claim at its own
-	expense.
- .
-	For example, a Contributor might include the Program in a commercial
-	product offering, Product X. That Contributor is then a Commercial
-	Contributor. If that Commercial Contributor then makes performance
-	claims, or offers warranties related to Product X, those performance
-	claims and warranties are such Commercial Contributor's responsibility
-	alone. Under this section, the Commercial Contributor would have to
-	defend claims against the other Contributors related to those
-	performance claims and warranties, and if a court requires any other
-	Contributor to pay any damages as a result, the Commercial Contributor
-	must pay those damages.
- .
- .
-	5. NO WARRANTY
- .
-	EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, THE PROGRAM IS
-	PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
-	KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY
-	WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR
-	FITNESS FOR A PARTICULAR PURPOSE. Each Recipient is solely responsible
-	for determining the appropriateness of using and distributing the
-	Program and assumes all risks associated with its exercise of rights
-	under this Agreement, including but not limited to the risks and costs
-	of program errors, compliance with applicable laws, damage to or loss
-	of data, programs or equipment, and unavailability or interruption of
-	operations.
- .
- .
-	6. DISCLAIMER OF LIABILITY
- .
-	EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, NEITHER RECIPIENT NOR
-	ANY CONTRIBUTORS SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT,
-	INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING
-	WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF
-	LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
-	NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OR
-	DISTRIBUTION OF THE PROGRAM OR THE EXERCISE OF ANY RIGHTS GRANTED
-	HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
- .
- .
-	7. GENERAL
- .
-	If any provision of this Agreement is invalid or unenforceable under
-	applicable law, it shall not affect the validity or enforceability of
-	the remainder of the terms of this Agreement, and without further
-	action by the parties hereto, such provision shall be reformed to the
-	minimum extent necessary to make such provision valid and enforceable.
- .
-	If Recipient institutes patent litigation against a Contributor with
-	respect to a patent applicable to software (including a cross-claim or
-	counterclaim in a lawsuit), then any patent licenses granted by that
-	Contributor to such Recipient under this Agreement shall terminate as
-	of the date such litigation is filed. In addition, if Recipient
-	institutes patent litigation against any entity (including a
-	cross-claim or counterclaim in a lawsuit) alleging that the Program
-	itself (excluding combinations of the Program with other software or
-	hardware) infringes such Recipient's patent(s), then such Recipient's
-	rights granted under Section 2(b) shall terminate as of the date such
-	litigation is filed.
- .
-	All Recipient's rights under this Agreement shall terminate if it fails
-	to comply with any of the material terms or conditions of this
-	Agreement and does not cure such failure in a reasonable period of time
-	after becoming aware of such noncompliance. If all Recipient's rights
-	under this Agreement terminate, Recipient agrees to cease use and
-	distribution of the Program as soon as reasonably practicable. However,
-	Recipient's obligations under this Agreement and any licenses granted
-	by Recipient relating to the Program shall continue and survive.
- .
-	Everyone is permitted to copy and distribute copies of this Agreement,
-	but in order to avoid inconsistency the Agreement is copyrighted and
-	may only be modified in the following manner. The Agreement Steward
-	reserves the right to publish new versions (including revisions) of
-	this Agreement from time to time. No one other than the Agreement
-	Steward has the right to modify this Agreement. IBM is the initial
-	Agreement Steward. IBM may assign the responsibility to serve as the
-	Agreement Steward to a suitable separate entity. Each new version of
-	the Agreement will be given a distinguishing version number. The
-	Program (including Contributions) may always be distributed subject to
-	the version of the Agreement under which it was received. In addition,
-	after a new version of the Agreement is published, Contributor may
-	elect to distribute the Program (including its Contributions) under the
-	new version. Except as expressly stated in Sections 2(a) and 2(b)
-	above, Recipient receives no rights or licenses to the intellectual
-	property of any Contributor under this Agreement, whether expressly, by
-	implication, estoppel or otherwise. All rights in the Program not
-	expressly granted under this Agreement are reserved.
- .
-	This Agreement is governed by the laws of the State of New York and the
-	intellectual property laws of the United States of America. No party to
-	this Agreement will bring a legal action under this Agreement more than
-	one year after the cause of action arose. Each party waives its rights
-	to a jury trial in any resulting litigation.
+   THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS COMMON
+   PUBLIC LICENSE ("AGREEMENT"). ANY USE, REPRODUCTION OR DISTRIBUTION OF
+   THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE OF THIS AGREEMENT.
+ .
+   1. DEFINITIONS
+ .
+   "Contribution" means:
+      1. in the case of the initial Contributor, the initial code and
+      documentation distributed under this Agreement, and
+ .
+      2. in the case of each subsequent Contributor:
+               1. changes to the Program, and
+               2. additions to the Program;
+ .
+      where such changes and/or additions to the Program originate
+      from and are distributed by that particular Contributor. A
+      Contribution 'originates' from a Contributor if it was added to
+      the Program by such Contributor itself or anyone acting on such
+      Contributor's behalf. Contributions do not include additions to
+      the Program which: (i) are separate modules of software
+      distributed in conjunction with the Program under their own
+      license agreement, and (ii) are not derivative works of the
+      Program.
+ .
+   "Contributor" means any person or entity that distributes the Program.
+ .
+   "Licensed Patents " mean patent claims licensable by a Contributor
+   which are necessarily infringed by the use or sale of its Contribution
+   alone or when combined with the Program.
+ .
+   "Program" means the Contributions distributed in accordance with this
+   Agreement.
+ .
+   "Recipient" means anyone who receives the Program under this Agreement,
+   including all Contributors.
+ .
+ .
+   2. GRANT OF RIGHTS
+ .
+      1. Subject to the terms of this Agreement, each Contributor
+      hereby grants Recipient a non-exclusive, worldwide,
+      royalty-free copyright license to reproduce, prepare derivative
+      works of, publicly display, publicly perform, distribute and
+      sublicense the Contribution of such Contributor, if any, and
+      such derivative works, in source code and object code form.
+ .
+      2. Subject to the terms of this Agreement, each Contributor
+      hereby grants Recipient a non-exclusive, worldwide,
+      royalty-free patent license under Licensed Patents to make,
+      use, sell, offer to sell, import and otherwise transfer the
+      Contribution of such Contributor, if any, in source code and
+      object code form. This patent license shall apply to the
+      combination of the Contribution and the Program if, at the time
+      the Contribution is added by the Contributor, such addition of
+      the Contribution causes such combination to be covered by the
+      Licensed Patents. The patent license shall not apply to any
+      other combinations which include the Contribution. No hardware
+      per se is licensed hereunder.
+ .
+      3. Recipient understands that although each Contributor grants
+      the licenses to its Contributions set forth herein, no
+      assurances are provided by any Contributor that the Program
+      does not infringe the patent or other intellectual property
+      rights of any other entity. Each Contributor disclaims any
+      liability to Recipient for claims brought by any other entity
+      based on infringement of intellectual property rights or
+      otherwise. As a condition to exercising the rights and licenses
+      granted hereunder, each Recipient hereby assumes sole
+      responsibility to secure any other intellectual property rights
+      needed, if any. For example, if a third party patent license is
+      required to allow Recipient to distribute the Program, it is
+      Recipient's responsibility to acquire that license before
+      distributing the Program.
+ .
+      4. Each Contributor represents that to its knowledge it has
+      sufficient copyright rights in its Contribution, if any, to
+      grant the copyright license set forth in this Agreement.
+ .
+ .
+   3. REQUIREMENTS
+ .
+   A Contributor may choose to distribute the Program in object code form
+   under its own license agreement, provided that:
+ .
+      1. it complies with the terms and conditions of this Agreement;
+      and
+ .
+      2. its license agreement:
+         1. effectively disclaims on behalf of all Contributors
+         all warranties and conditions, express and implied,
+         including warranties or conditions of title and
+         non-infringement, and implied warranties or conditions
+         of merchantability and fitness for a particular purpose;
+ .
+         2. effectively excludes on behalf of all Contributors
+         all liability for damages, including direct, indirect,
+         special, incidental and consequential damages, such as
+         lost profits;
+ .
+         3. states that any provisions which differ from this
+         Agreement are offered by that Contributor alone and not
+         by any other party; and
+ .
+         4. states that source code for the Program is available
+         from such Contributor, and informs licensees how to
+         obtain it in a reasonable manner on or through a medium
+         customarily used for software exchange.
+ .
+      When the Program is made available in source code form:
+         1. it must be made available under this Agreement; and
+               2. a copy of this Agreement must be included with each
+         copy of the Program.
+ .
+      Contributors may not remove or alter any copyright notices
+      contained within the Program.
+ .
+      Each Contributor must identify itself as the originator of its
+      Contribution, if any, in a manner that reasonably allows
+      subsequent Recipients to identify the originator of the
+      Contribution.
+ .
+ .
+   4. COMMERCIAL DISTRIBUTION
+ .
+   Commercial distributors of software may accept certain responsibilities
+   with respect to end users, business partners and the like. While this
+   license is intended to facilitate the commercial use of the Program,
+   the Contributor who includes the Program in a commercial product
+   offering should do so in a manner which does not create potential
+   liability for other Contributors. Therefore, if a Contributor includes
+   the Program in a commercial product offering, such Contributor
+   ("Commercial Contributor") hereby agrees to defend and indemnify every
+   other Contributor ("Indemnified Contributor") against any losses,
+   damages and costs (collectively "Losses") arising from claims, lawsuits
+   and other legal actions brought by a third party against the
+   Indemnified Contributor to the extent caused by the acts or omissions
+   of such Commercial Contributor in connection with its distribution of
+   the Program in a commercial product offering. The obligations in this
+   section do not apply to any claims or Losses relating to any actual or
+   alleged intellectual property infringement. In order to qualify, an
+   Indemnified Contributor must: a) promptly notify the Commercial
+   Contributor in writing of such claim, and b) allow the Commercial
+   Contributor to control, and cooperate with the Commercial Contributor
+   in, the defense and any related settlement negotiations. The
+   Indemnified Contributor may participate in any such claim at its own
+   expense.
+ .
+   For example, a Contributor might include the Program in a commercial
+   product offering, Product X. That Contributor is then a Commercial
+   Contributor. If that Commercial Contributor then makes performance
+   claims, or offers warranties related to Product X, those performance
+   claims and warranties are such Commercial Contributor's responsibility
+   alone. Under this section, the Commercial Contributor would have to
+   defend claims against the other Contributors related to those
+   performance claims and warranties, and if a court requires any other
+   Contributor to pay any damages as a result, the Commercial Contributor
+   must pay those damages.
+ .
+ .
+   5. NO WARRANTY
+ .
+   EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, THE PROGRAM IS
+   PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+   KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY
+   WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR
+   FITNESS FOR A PARTICULAR PURPOSE. Each Recipient is solely responsible
+   for determining the appropriateness of using and distributing the
+   Program and assumes all risks associated with its exercise of rights
+   under this Agreement, including but not limited to the risks and costs
+   of program errors, compliance with applicable laws, damage to or loss
+   of data, programs or equipment, and unavailability or interruption of
+   operations.
+ .
+ .
+   6. DISCLAIMER OF LIABILITY
+ .
+   EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, NEITHER RECIPIENT NOR
+   ANY CONTRIBUTORS SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT,
+   INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING
+   WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF
+   LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+   NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OR
+   DISTRIBUTION OF THE PROGRAM OR THE EXERCISE OF ANY RIGHTS GRANTED
+   HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
+ .
+ .
+   7. GENERAL
+ .
+   If any provision of this Agreement is invalid or unenforceable under
+   applicable law, it shall not affect the validity or enforceability of
+   the remainder of the terms of this Agreement, and without further
+   action by the parties hereto, such provision shall be reformed to the
+   minimum extent necessary to make such provision valid and enforceable.
+ .
+   If Recipient institutes patent litigation against a Contributor with
+   respect to a patent applicable to software (including a cross-claim or
+   counterclaim in a lawsuit), then any patent licenses granted by that
+   Contributor to such Recipient under this Agreement shall terminate as
+   of the date such litigation is filed. In addition, if Recipient
+   institutes patent litigation against any entity (including a
+   cross-claim or counterclaim in a lawsuit) alleging that the Program
+   itself (excluding combinations of the Program with other software or
+   hardware) infringes such Recipient's patent(s), then such Recipient's
+   rights granted under Section 2(b) shall terminate as of the date such
+   litigation is filed.
+ .
+   All Recipient's rights under this Agreement shall terminate if it fails
+   to comply with any of the material terms or conditions of this
+   Agreement and does not cure such failure in a reasonable period of time
+   after becoming aware of such noncompliance. If all Recipient's rights
+   under this Agreement terminate, Recipient agrees to cease use and
+   distribution of the Program as soon as reasonably practicable. However,
+   Recipient's obligations under this Agreement and any licenses granted
+   by Recipient relating to the Program shall continue and survive.
+ .
+   Everyone is permitted to copy and distribute copies of this Agreement,
+   but in order to avoid inconsistency the Agreement is copyrighted and
+   may only be modified in the following manner. The Agreement Steward
+   reserves the right to publish new versions (including revisions) of
+   this Agreement from time to time. No one other than the Agreement
+   Steward has the right to modify this Agreement. IBM is the initial
+   Agreement Steward. IBM may assign the responsibility to serve as the
+   Agreement Steward to a suitable separate entity. Each new version of
+   the Agreement will be given a distinguishing version number. The
+   Program (including Contributions) may always be distributed subject to
+   the version of the Agreement under which it was received. In addition,
+   after a new version of the Agreement is published, Contributor may
+   elect to distribute the Program (including its Contributions) under the
+   new version. Except as expressly stated in Sections 2(a) and 2(b)
+   above, Recipient receives no rights or licenses to the intellectual
+   property of any Contributor under this Agreement, whether expressly, by
+   implication, estoppel or otherwise. All rights in the Program not
+   expressly granted under this Agreement are reserved.
+ .
+   This Agreement is governed by the laws of the State of New York and the
+   intellectual property laws of the United States of America. No party to
+   this Agreement will bring a legal action under this Agreement more than
+   one year after the cause of action arose. Each party waives its rights
+   to a jury trial in any resulting litigation.
 
 Files: debian/*
 Copyright: 2016 Canonical LTD
@@ -268,4 +268,4 @@
  AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY
  WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
- POSSIBILITY OF SUCH DAMAGE.
\ No newline at end of file
+ POSSIBILITY OF SUCH DAMAGE.
diff -Nru libica-3.9.0/debian/libica4.install libica-4.0.0/debian/libica4.install
--- libica-3.9.0/debian/libica4.install	1970-01-01 01:00:00.000000000 +0100
+++ libica-4.0.0/debian/libica4.install	2022-01-31 13:19:06.000000000 +0100
@@ -0,0 +1,2 @@
+usr/lib/*/lib*.so.4
+usr/lib/*/lib*.so.4.*
